import type { DB } from "../../utils";
export declare const mysqlPushIntrospect: (db: DB, databaseName: string, filters: string[]) => Promise<{
    schema: {
        tables: Record<string, {
            name: string;
            columns: Record<string, {
                name: string;
                type: string;
                primaryKey: boolean;
                notNull: boolean;
                default?: any;
                onUpdate?: any;
                autoincrement?: boolean | undefined;
            }>;
            indexes: Record<string, {
                name: string;
                columns: string[];
                isUnique: boolean;
                using?: "btree" | "hash" | undefined;
                algorithm?: "default" | "inplace" | "copy" | undefined;
                lock?: "default" | "none" | "shared" | "exclusive" | undefined;
            }>;
            foreignKeys: Record<string, {
                name: string;
                tableFrom: string;
                columnsFrom: string[];
                tableTo: string;
                columnsTo: string[];
                onUpdate?: string | undefined;
                onDelete?: string | undefined;
            }>;
            compositePrimaryKeys: Record<string, {
                name: string;
                columns: string[];
            }>;
            uniqueConstraints: Record<string, {
                name: string;
                columns: string[];
            }>;
        }>;
        id: string;
        prevId: string;
        version: "5";
        dialect: "mysql";
        _meta: {
            columns: Record<string, string>;
            tables: Record<string, string>;
        };
    };
}>;
