import type { DB, Proxy, SQLiteDB, SqliteProxy } from "../utils";
import type { PostgresCredentials } from "./validations/pg";
import type { MysqlCredentials } from "./validations/mysql";
import type { SqliteCredentials } from "./validations/sqlite";
import type { MigrationConfig } from "drizzle-orm/migrator";
export declare const preparePostgresDB: (credentials: PostgresCredentials) => Promise<DB & {
    proxy: Proxy;
    migrate: (config: string | MigrationConfig) => Promise<void>;
}>;
export declare const connectToMySQL: (it: MysqlCredentials) => Promise<{
    db: DB;
    proxy: Proxy;
    database: string;
    migrate: (config: MigrationConfig) => Promise<void>;
}>;
export declare const connectToSQLite: (credentials: SqliteCredentials) => Promise<SQLiteDB & SqliteProxy & {
    migrate: (config: MigrationConfig) => Promise<void>;
}>;
