import { TypeOf } from "zod";
export declare const credentials: import("zod").ZodIntersection<import("zod").ZodUnion<[import("zod").ZodObject<{
    host: import("zod").ZodString;
    port: import("zod").ZodOptional<import("zod").ZodNumber>;
    user: import("zod").ZodDefault<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodString;
    ssl: import("zod").ZodOptional<import("zod").ZodBoolean>;
}, "strip", import("zod").ZodTypeAny, {
    host: string;
    user: string;
    database: string;
    port?: number | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
}, {
    host: string;
    database: string;
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
    ssl?: boolean | undefined;
}>, import("zod").ZodObject<{
    url: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
}, {
    url: string;
}>, import("zod").ZodObject<{
    driver: import("zod").ZodLiteral<"aws-data-api">;
    database: import("zod").ZodString;
    secretArn: import("zod").ZodString;
    resourceArn: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    database: string;
    driver: "aws-data-api";
    secretArn: string;
    resourceArn: string;
}, {
    database: string;
    driver: "aws-data-api";
    secretArn: string;
    resourceArn: string;
}>]>, import("zod").ZodUnion<[import("zod").ZodObject<{
    host: import("zod").ZodString;
    port: import("zod").ZodOptional<import("zod").ZodNumber>;
    user: import("zod").ZodDefault<import("zod").ZodString>;
    password: import("zod").ZodOptional<import("zod").ZodString>;
    database: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    host: string;
    user: string;
    database: string;
    port?: number | undefined;
    password?: string | undefined;
}, {
    host: string;
    database: string;
    port?: number | undefined;
    user?: string | undefined;
    password?: string | undefined;
}>, import("zod").ZodObject<{
    url: import("zod").ZodString;
}, "strip", import("zod").ZodTypeAny, {
    url: string;
}, {
    url: string;
}>]>>;
export type Credentials = TypeOf<typeof credentials>;
export declare const studioCliParams: import("zod").ZodObject<{
    port: import("zod").ZodDefault<import("zod").ZodOptional<import("zod").ZodNumber>>;
    host: import("zod").ZodDefault<import("zod").ZodOptional<import("zod").ZodString>>;
    config: import("zod").ZodOptional<import("zod").ZodString>;
}, "strip", import("zod").ZodTypeAny, {
    host: string;
    port: number;
    config?: string | undefined;
}, {
    host?: string | undefined;
    port?: number | undefined;
    config?: string | undefined;
}>;
export declare const studioConfig: import("zod").ZodObject<{
    dialect: import("zod").ZodEnum<["postgresql", "mysql", "sqlite"]>;
    schema: import("zod").ZodUnion<[import("zod").ZodString, import("zod").ZodArray<import("zod").ZodString, "many">]>;
}, "strip", import("zod").ZodTypeAny, {
    schema: string | string[];
    dialect: "postgresql" | "mysql" | "sqlite";
}, {
    schema: string | string[];
    dialect: "postgresql" | "mysql" | "sqlite";
}>;
